% Rechte Seiten
f1 = @(t,y) +10.*(y - t^2/(1. + t^2)) + 2.*t/(1. + t^2)^2; % lambda = +10
f2 = @(t,y) -10.*(y - t^2/(1. + t^2)) + 2.*t/(1. + t^2)^2; % lambda = -10

% Exakte Loesung
yexakt = @(t) t.^2./(1. + t.^2);

% Zeichne exakte und numerische Loesung
t0 = 0.;
T  = 2.;
y0 = 0.;
N = 2*10.^(2:5);
figure(1);
clf;
hold on;
t = linspace(t0,T,1000);
plot(t,yexakt(t),'-','LineWidth',2,'DisplayName','Exakt');
for NN=N
  [t,y] = verbEuler(f1,t0,T,y0,NN);
  plot(t,y,'-','LineWidth',2,'DisplayName',sprintf('%e',2./NN));
end
ylim([-1,+1]);
legend('show','Location','northwest');
xlabel('t');
ylabel('y');
box on;
hold off;
% print('stabib.eps','-depsc')

% Zeichne exakte und numerische Loesung
t0 = 0.;
T  = 2.;
N = 2*10.^(2:5);
figure(2);
clf;
hold on;
t = linspace(t0,T,1000);
plot(t,yexakt(t),'-','LineWidth',2,'DisplayName','Exakt');
for NN=N
  [t,y] = verbEuler(f2,t0,T,y0,NN);
  plot(t,y,'-','LineWidth',2,'DisplayName',sprintf('%e',2./NN));
end
ylim([-1,+1]);
legend('show','Location','northwest');
xlabel('t');
ylabel('y');
box on;
hold off;
% print('stabic.eps','-depsc')
